Endeca Utility 'backup_log_dir_for_component_AuthoringDgraph' failed

I am getting error when i am executing baseline update script on windows. The forge is happening fine after which the script is throwing error.
[06.25.14 21:04:38] INFO: Checking definition from AppConfig.xml against existing EAC provisioning.
[06.25.14 21:04:39] INFO: Definition has not changed.
[06.25.14 21:04:39] INFO: Starting baseline update script.
[06.25.14 21:04:39] INFO: Acquired lock 'update_lock'.
[06.25.14 21:04:39] INFO: [ITLHost] Starting shell utility 'cleanDir_processing'.
[06.25.14 21:04:40] INFO: [ITLHost] Starting shell utility 'cleanDir_forge-output'.
[06.25.14 21:04:41] INFO: [ITLHost] Starting shell utility 'cleanDir_dgidx-output'.
[06.25.14 21:04:42] INFO: [ITLHost] Starting shell utility 'move_-_to_processing'.
[06.25.14 21:04:44] INFO: [ITLHost] Starting copy utility 'fetch_config_to_input_for_forge_Forge'.
[06.25.14 21:04:45] INFO: [ITLHost] Starting backup utility 'backup_log_dir_for_component_Forge'.
[06.25.14 21:04:46] INFO: [ITLHost] Starting component 'Forge'.
[06.25.14 21:04:55] INFO: [ITLHost] Starting backup utility 'backup_log_dir_for_component_Dgidx'.
[06.25.14 21:04:56] INFO: [ITLHost] Starting component 'Dgidx'.
[06.25.14 21:05:11] INFO: [AuthoringMDEXHost] Starting shell utility 'cleanDir_local-dgraph-input'.
[06.25.14 21:05:12] INFO: [AuthoringMDEXHost] Starting shell utility 'rmdir_dgraph-input-old'.
[06.25.14 21:05:13] INFO: [AuthoringMDEXHost] Starting copy utility 'copy_index_to_host_AuthoringMDEXHost_AuthoringDgraph'.
[06.25.14 21:05:14] INFO: Applying index to dgraphs in restart group 'A'.
[06.25.14 21:05:14] INFO: [AuthoringMDEXHost] Starting shell utility 'mkpath_dgraph-input-new'.
[06.25.14 21:05:16] INFO: [AuthoringMDEXHost] Starting copy utility 'copy_index_to_temp_new_dgraph_input_dir_for_AuthoringDgraph'.
[06.25.14 21:05:17] INFO: [AuthoringMDEXHost] Starting shell utility 'move_dgraph-input_to_dgraph-input-old'.
[06.25.14 21:05:18] INFO: [AuthoringMDEXHost] Starting shell utility 'move_dgraph-input-new_to_dgraph-input'.
[06.25.14 21:05:19] INFO: [AuthoringMDEXHost] Starting backup utility 'backup_log_dir_for_component_AuthoringDgraph'.
[06.25.14 21:05:20] SEVERE: Utility 'backup_log_dir_for_component_AuthoringDgraph' failed.
Occurred while executing line 5 of valid BeanShell script:
2|
3|    AuthoringDgraphCluster.cleanDirs();
4|    AuthoringDgraphCluster.copyIndexToDgraphServers();
5|    AuthoringDgraphCluster.applyIndex();
6|
7|    LiveDgraphCluster.cleanDirs();
8|    LiveDgraphCluster.copyIndexToDgraphServers();
[06.25.14 21:05:20] SEVERE: Error executing valid BeanShell script.Occurred while executing line 28 of valid BeanShell script:
25|        Dgidx.run();
26|
27|        // distributed index, update Dgraphs
28|        DistributeIndexAndApply.run();
29|
30|        WorkbenchManager.cleanDirs();
31|        Forge.getPostForgeDimensions();
[06.25.14 21:05:20] SEVERE: Caught an exception while invoking method 'run' on object 'BaselineUpdate'. Releasing locks.
Caused by java.lang.reflect.InvocationTargetException
sun.reflect.NativeMethodAccessorImpl invoke0 - null
Caused by com.endeca.soleng.eac.toolkit.exception.AppControlException
com.endeca.soleng.eac.toolkit.script.Script runBeanShellScript - Error executing
valid BeanShell script.
Caused by com.endeca.soleng.eac.toolkit.exception.AppControlException
com.endeca.soleng.eac.toolkit.script.Script runBeanShellScript - Error executing
valid BeanShell script.
Caused by com.endeca.soleng.eac.toolkit.exception.EacComponentControlException
com.endeca.soleng.eac.toolkit.utility.Utility runInParallel - Utility 'backup_lo
g_dir_for_component_AuthoringDgraph' failed.
[06.25.14 21:05:20] INFO: Released lock 'update_lock'.
In the AuthoringDgraph log it is showing below message.
FATAL
06/25/14 14:39:40.954 UTC (1403707180954)
DGRAPH
{dgraph,baseline}
Rapid updates are not supported for datasets that do not have a record specification model specified in the record spec file.
Stemming should be enabled for 1 languages

Hello,
I believe there are two different issues that may be occurring here, so we can start with the easiest one first, the error message in AuthoringDgraph.  The error message is being triggered as it can't find a property within your records that has been flagged as a Record Specifier (aka Record Spec or RecSpec).  In the Endeca world, this is similar to what a Primary Key on a table would accomplish in a relational database.  These Record Specs are used in many ways for record retrieval, but it's not neccessary to have one put in place.
If you don't specify a property to be a Record Spec, than Endeca will create one for you.  However - and this is where the error message comes in - you cannot perform updates to the data, known as a Partial Update.  Since Endeca hasn't been told what property will uniquely represent a specific record, it can't receive updates to update/delete them.  That's where the "Rapid Updates" comes into play.
There are two choices for this, firstly specify a property as a Record Spec, either through Developer Studio, or through the IOC/CSV overrides if you're using the product catalog integration method (what ATG uses to send data to Endeca).  The second option is to disable Rapid Update (partial updates) functionality in your index - you'll need to comment out references to "partial" directories in the various Dgraph XML configurations in your config/scripts directory.  However, that does go against Endeca Best Practices which are to always have a Record Spec.
And now onto the second issue, the error with the "backup_log_dir_for_component_AuthoringDgraph" script.  This isn't an uncommon type of error, and may be unrelated to the issue above.  The usual culprits for this are permission errors, inability to obtain a lock, etc.  These scripts are run by the EAC and not the application, so are stored in a different location.
Firstly, find the installation directory for Platform Services on your system.  Inside it should be a logging directory, and you're looking for workspace/logs/utility/<appName>.backup_log_dir_for_component_AuthoringDgraph.txt inside there.  Open up that file, and it should help to clarify what the issue is - if not, then please post it's contents here and we can delve deeper.
Best,
- Jeff

Similar Messages

  • SEVERE: Utility 'cleanDir_processing' failed. Refer to utility logs in [ENDECA_CONF]/logs/shell on host ITLHost. during baseline update

    Hi Guys,
                 Suddenly my application throwing below error at "baseline" script run time.
    Please provide the remedy for it,
    [01.27.14 17:51:03] INFO: Definition has not changed.
    [01.27.14 17:51:03] INFO: Starting baseline update script.
    [01.27.14 17:51:03] INFO: Acquired lock 'update_lock'.
    [01.27.14 17:51:03] INFO: [ITLHost] Starting shell utility 'cleanDir_processing'.
    [01.27.14 17:51:04] SEVERE: Utility 'cleanDir_processing' failed. Refer to utility logs in [ENDECA_CONF]/logs/shell on host ITLHost.
    Occurred while executing line 10 of valid BeanShell script:
    7|      if (Forge.isDataReady()) {
    8|
    9|        // clean directories
    10|        Forge.cleanDirs();
    11|        PartialForge.cleanCumulativePartials();
    12|        Dgidx.cleanDirs();
    13|
    [01.27.14 17:51:04] SEVERE: Caught an exception while invoking method 'run' on object 'BaselineUpdate'. Releasing locks.
    Caused by java.lang.reflect.InvocationTargetException
    sun.reflect.NativeMethodAccessorImpl invoke0 - null
    Caused by com.endeca.soleng.eac.toolkit.exception.AppControlException
    com.endeca.soleng.eac.toolkit.script.Script runBeanShellScript - Error executing valid BeanShell script.
    Caused by com.endeca.soleng.eac.toolkit.exception.EacComponentControlException
    com.endeca.soleng.eac.toolkit.utility.Utility run - Utility 'cleanDir_processing' failed. Refer to utility logs in [ENDECA_CONF]/logs/shell on host ITLHost.
    [01.27.14 17:51:04] INFO: Released lock 'update_lock'.
    C:\Endeca\apps\Restaurants\control>
    I ran the Release_lock  then also got the same error. I have seen below error in the log file "[ENDECA_CONF]/logs/shell/ Restaurants.cleanDir_processing",
    Failed to remove directory C:\Endeca\apps\Restaurants\config\script\..\..\.\data\processing: Directory not empty at -e line 1.
    Thanks,
    swapnil

    The above issue is still there , i think this is due to some configuration in case of the pipeline. I am unable to detect it.
    Now in the below scenario My baseline index is running proper but partial update is failing with below error.
    C:\Endeca\apps\TestApp\control>partial_update.bat
    [01.30.14 17:06:34] INFO: Checking definition from AppConfig.xml against existing EAC provisioning.
    [01.30.14 17:06:35] INFO: Updating provisioning for component 'DailyReportGenerator'.
    [01.30.14 17:06:35] INFO: Updating definition for component 'DailyReportGenerator'.
    [01.30.14 17:06:35] INFO: Definition updated.
    [01.30.14 17:06:35] INFO: Starting partial update script.
    [01.30.14 17:06:35] INFO: Acquired lock 'update_lock'.
    [01.30.14 17:06:35] INFO: [ITLHost] Starting backup utility 'backup_log_dir_for_component_PartialForge'.
    [01.30.14 17:06:36] INFO: [ITLHost] Starting shell utility 'cleanDir_processing'.
    [01.30.14 17:06:38] SEVERE: Utility 'cleanDir_processing' failed. Refer to utility logs in [ENDECA_CONF]/logs/shell on host ITLHost.
    Occurred while executing line 14 of valid BeanShell script:
    11|        PartialForge.archiveLogDir();
    12|
    13|        // clean directories
    14|        PartialForge.cleanDirs();
    15|
    16|        // fetch extracted data files to forge input
    17|        PartialForge.getPartialIncomingData();
    [01.30.14 17:06:38] SEVERE: Caught an exception while invoking method 'run' on object 'PartialUpdate'. Releasing locks.
    Caused by java.lang.reflect.InvocationTargetException
    sun.reflect.NativeMethodAccessorImpl invoke0 - null
    Caused by com.endeca.soleng.eac.toolkit.exception.AppControlException
    com.endeca.soleng.eac.toolkit.script.Script runBeanShellScript - Error executing valid BeanShell script.
    Caused by com.endeca.soleng.eac.toolkit.exception.EacComponentControlException
    com.endeca.soleng.eac.toolkit.utility.Utility run - Utility 'cleanDir_processing' failed. Refer to utility logs in [ENDECA_CONF]/logs/shell on host ITLHost.
    [01.30.14 17:06:38] INFO: Released lock 'update_lock'.
    Plz recommend some remedies.
    Thanks,
    swapnil

  • Utility 'emgr_update_update_mgr_settings' failed.

    Hi ,
    I am trying to deploy an application in linux,
    I am getting the below error when i ran initialize services script, I am not able to access the logs, i checked there is no one logged into Workbench at that time.
    [10.18.12 00:35:50] WARNING: An error occurred while attempting to set instance configuration in Web Studio. This action requires all locks in Web Studio to be available. If the utility log includes errors associated with resource locks, ensure that users are out of Web Studio and break locks in Web Studio before re-running this action.
    [10.18.12 00:35:50] SEVERE: Utility 'emgr_update_update_mgr_settings' failed. Refer to utility logs in [ENDECA_CONF]/logs/shell on host ITLHost.
    Occurred while executing line 5 of valid BeanShell script:
    2|
    3| if (ConfigManager.isWebStudioEnabled()) {
    4| log.info("Updating Oracle Endeca Workbench configuration...");
    5| ConfigManager.updateWsConfig();
    6| log.info("Finished updating Oracle Endeca Workbench.");
    7| }
    8|
    [10.18.12 00:35:50] SEVERE: Caught an exception while invoking method 'run' on object 'InitialSetup'. Releasing locks.
    Caused by java.lang.reflect.InvocationTargetException
    sun.reflect.NativeMethodAccessorImpl invoke0 - null
    Caused by com.endeca.soleng.eac.toolkit.exception.AppControlException
    com.endeca.soleng.eac.toolkit.script.Script runBeanShellScript - Error executing valid BeanShell script.
    Caused by com.endeca.soleng.eac.toolkit.exception.EacComponentControlException
    com.endeca.soleng.eac.toolkit.utility.Utility run - Utility 'emgr_update_update_mgr_settings' failed. Refer to utility logs in [ENDECA_CONF]/logs/shell on host ITLHost.

    Check if there are any temp files in <Endeca_Instance>/Workbench/workspace/state/emanager/instances/<app_name>/resources/locks. if there are any files try logging in and break all the locks from Workbench --> Application Settings --> Resource Locks
    Also check the error in [ENDECA_CONF]/logs/shell/<app_name>.emgr_update_update_mgr_settings.log
    HTH
    -Pravin

  • System Image Utility always fails, why?

    Hi everyone,
    on my clean and fresh install of 10.7.4 Server the System Image Utility always fails to create an image. I want to create a NetInstall image and have put the OS X Lion Installer in /Applications. I can select it in SIU and choose to create a NetInstall image. It asks for the admin pw and always presents an error at the very end: Image creation failed. An unknown error has occured.
    If I select to create a NetBoot image instead it fails directly after clicking on the Create button with this slightly different message: Image creation failed. An error has occured. At least it’s no unknown error…
    Any ideas what might be causing this? I have succesfully created NetInstall images with 10.6 Server and 10.8 Server, but 10.7 Server somehow won’t play nice.
    Thanks
    Björn

    Hi Brian,
    I first deleted the Installer and redownloaded it from the App Store, just to make sure there was no problem with it. Even though I now have the 10.7.4 Installer (had 10.7.0 before) nothing has changed. I then went on to set the log level as suggested. I now get different errors based on the chosen log level.
    Log level set to debug:
    Image creation failed.
    *** -[__NSArrayM insertObject:atIndex:]: object cannot be nil
    Log level set to verbose:
    Image creation failed.
    An unknown error has occurred.
    I did not see anything helpful in the logs unfortunately. The only noticeable thing mentioned was: Failed to create image from installer media.
    Any additional ideas? I will attach both logs here, just in case.
    VERBOSE LOG:
    Starting image creation.
    Workflow Started (2012-09-08 14:08:00 +0200)
    Mac OS X Server 10.7.4 (11E53), System Image Utility 10.7.3 (543)
    Starting action: Define Image Source (1.3)
    Finished running action: Define Image Source
    Starting action: Create Image (1.6.2)
    Starting image creation process...
    Create NetInstall Image
    Initiating NetInstall from Installer media.
    Creating working path at /Users/vm/Desktop/NetInstall of Install Mac OS X Lion
    Creating disk image (Size: 4062 MB)
    Finalizing disk image.
    created: /Users/vm/Desktop/NetInstall of Install Mac OS X Lion/NetInstall.dmg
    Attaching disk image
    Copying /Volumes/Mac OS X Install ESD
    Preparing the kernel and boot loader for the boot image
    /Users/vm/Desktop/NetInstall of Install Mac OS X Lion/i386
    /Users/vm/Desktop/NetInstall of Install Mac OS X Lion/i386/x86_64
    Copying /Volumes/Mac OS X Install ESD/boot.efi
    Copying /Volumes/Mac OS X Install ESD/System/Library/CoreServices/PlatformSupport.plist
    Performing post install cleanup
    Detaching disk image
    "disk4" unmounted.
    "disk4" ejected.
    Correcting permissions. 501:20 /Users/vm/Desktop/NetInstall of Install Mac OS X Lion
    Script is done.
    Failed to create image from installer media.
    An unknown error has occurred.
    NetInstall creation failed.
    Image creation process finished...
    Stopping image creation.
    Image creation failed.
    DEBUG LOG:
    Starting image creation.
    Workflow Started (2012-09-08 13:59:22 +0200)
    Mac OS X Server 10.7.4 (11E53), System Image Utility 10.7.3 (543)
    Starting action: Define Image Source (1.3)
    Finished running action: Define Image Source
    Starting action: Create Image (1.6.2)
    Starting image creation process...
    Create NetInstall Image
    Initiating NetInstall from Installer media.
    progressPrefix="_progress"
    ++ progressPrefix=_progress
    scriptsDebugKey="DEBUG"
    ++ scriptsDebugKey=DEBUG
    imageIsUDIFKey="1"
    ++ imageIsUDIFKey=1
    mountPoint=""
    ++ mountPoint=
    ownershipInfoKey="501:20"
    ++ ownershipInfoKey=501:20
    destVolFSType="HFS+"
    ++ destVolFSType=HFS+
    installSource="/Volumes/Mac OS X Install ESD"
    ++ installSource='/Volumes/Mac OS X Install ESD'
    dmgTarget="NetInstall"
    ++ dmgTarget=NetInstall
    destPath="/Users/vm/Desktop/NetInstall of Install Mac OS X Lion"
    ++ destPath='/Users/vm/Desktop/NetInstall of Install Mac OS X Lion'
    dmgVolName="NetInstall"
    ++ dmgVolName=NetInstall
    . "${1}/createCommon.sh"
    + . /tmp/niutemp.Yv8Z6Mqx/createCommon.sh
    # createCommon.sh
    # Common functionality for the Image creation process.
    # sourced in by the various SIU scripts
    # Copyright © 2007-2011 Apple Inc. All rights reserved.
    # Using dscl, create a user account
    AddLocalUser()
    # $1 volume whose local node database to modify
    # $2 long name
    # $3 short name
    # $4 isAdminUser key
    # $5 password data
    # $6 password hint
    # $7 user picture path
    # $8 Language string
    local databasePath="/Local/Default/Users/${3}"
    local targetVol="${1}"
    # Find a free UID between 501 and 599
    for ((i=501; i<600; i++)); do
    output=`/usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -search /Local/Default/Users UniqueID $i`
    # If there is already an account dscl returns it, so we're looking for an empty return value.
    if [ "$output" == "" ]; then
    break
    fi
    done
    # Create the user record
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -create $databasePath
    if [ $? != 0 ]; then
    echo "Failed to create '${databasePath}'."
    return 1
    fi
    # Add long name
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath RealName "${2}"
    if [ $? != 0 ]; then
    echo "Failed to set the RealName."
    return 1
    fi
    # Add PrimaryGroupID
    if [ "${4}" == 1 ]; then
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath PrimaryGroupID 80
    else
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath PrimaryGroupID 20
    fi
    if [ $? != 0 ]; then
    echo "Failed to set the PrimaryGroupID."
    return 1
    fi
    # Add UniqueID
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath UniqueID ${i}
    if [ $? != 0 ]; then
    echo "Failed to set the UniqueID."
    return 1
    fi
    # Add Home Directory entry
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath NFSHomeDirectory /Users/${3}
    if [ $? != 0 ]; then
    echo "Failed to set the NFSHomeDirectory."
    fi
    if [ "${6}" != "" ]; then
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath AuthenticationHint "${6}"
    if [ $? != 0 ]; then
    echo "Failed to set the AuthenticationHint."
    return 1
    fi
    fi
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath picture "${7}"
    if [ $? != 0 ]; then
    echo "Failed to set the picture."
    return 1
    fi
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -passwd $databasePath "${5}"
    if [ $? != 0 ]; then
    echo "Failed to set the passwd."
    return 1
    fi
    # Add shell
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath UserShell "/bin/bash"
    if [ $? != 0 ]; then
    echo "Failed to set the UserShell."
    return 1
    fi
    # Create Home directory
    if [ -e "/System/Library/User Template/${8}.lproj/" ]; then
    /usr/bin/ditto "/System/Library/User Template/${8}.lproj/" "${targetVol}/Users/${3}"
    else
    /usr/bin/ditto "/System/Library/User Template/English.lproj/" "${targetVol}/Users/${3}"
    fi
    if [ $? != 0 ]; then
    echo "Failed to copy the User Template."
    return 1
    fi
    /usr/sbin/chown -R $i:$i "${targetVol}/Users/${3}"
    if [ $? != 0 ]; then
    echo "Failed to set ownership on the User folder."
    return 1
    fi
    # Copies a list of files (full paths contained in the file at $1) from source to the path specified in $2
    CopyEntriesFromFileToPath()
    local theFile="$1"
    local theDest="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    local leafName=`basename "${FILE}"`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Copying ${FILE}."
    fi
    /usr/bin/ditto $opt "${FILE}" "${theDest}/${leafName}" || return 1
    fi
    done < "${theFile}"
    return 0
    # Copies a list of packages (full path, destination pairs contained in the file at $1) from source to .../System/Installation/Packages/
    CopyPackagesWithDestinationsFromFile()
    local theFile="$1"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    local leafName=`basename "${FILE}"`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Copying ${FILE}."
    fi
    read SUB_PATH
    /usr/bin/ditto $opt "${FILE}" "${mountPoint}/Packages/${SUB_PATH}${leafName}" || return 1
    fi
    done < "${theFile}"
    return 0
    # Create an installer package in ${1} wrapping the supplied script ${2}
    CreateInstallPackageForScript()
    local tempDir="$1"
    local scriptPath="$2"
    local scriptName=`basename "${scriptPath}"`
    local entryDir=`pwd`
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Create installer for script ${scriptName}"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    # shouldn't exist on entry...
    if [ -e "${tempDir}/emptyDir" ]; then
    /bin/rm -rf "${tempDir}/emptyDir"
    fi
    # make some directories to work in
    /bin/mkdir $opt -p "${tempDir}/${scriptName}.pkg/Contents/Resources" || return 1
    /bin/mkdir $opt "${tempDir}/emptyDir" || return 1
    # Create Archive.pax.gz
    cd "${tempDir}/emptyDir"
    /bin/pax -w -x cpio -f "${tempDir}/${scriptName}.pkg/Contents/Archive.pax" .
    /usr/bin/gzip "${tempDir}/${scriptName}.pkg/Contents/Archive.pax"
    cd "${entryDir}"
    # Create the Archive.bom file
    /usr/bin/mkbom "${tempDir}/emptyDir/" "${tempDir}/${scriptName}.pkg/Contents/Archive.bom" || return 1
    # Create the Info.plist
    /bin/cat > "${tempDir}/${scriptName}.pkg/Contents/Info.plist" << END
    <?xml version="1.0" encoding="UTF-8"?>
    <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
    <plist version="1.0">
    <dict>
    <key>CFBundleIdentifier</key>
    <string>com.apple.server.SystemImageUtility.${scriptName}</string>
    <key>CFBundleShortVersionString</key>
    <string>1</string>
    <key>IFMajorVersion</key>
    <integer>1</integer>
    <key>IFMinorVersion</key>
    <integer>0</integer>
    <key>IFPkgFlagDefaultLocation</key>
    <string>/tmp</string>
    <key>IFPkgFlagInstallFat</key>
    <false/>
    <key>IFPkgFlagIsRequired</key>
    <false/>
    <key>IFPkgFormatVersion</key>
    <real>0.10000000149011612</real>
    </dict>
    </plist>
    END
    echo "pkmkrpkg1" > "${tempDir}/${scriptName}.pkg/Contents/PkgInfo"
    echo "major: 1\nminor: 0" > "${tempDir}/${scriptName}.pkg/Contents/Resources/package_version"
    # Copy the script
    /bin/cp "$scriptPath" "${tempDir}/${scriptName}.pkg/Contents/Resources/postflight"
    # clean up
    /bin/rm -r "${tempDir}/emptyDir"
    return 0
    # Validate or create the requested directory
    CreateOrValidatePath()
    local targetDir="$1"
    if [ ! -d "${targetDir}" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Creating working path at ${targetDir}"
    fi
    /bin/mkdir -p "${targetDir}" || return 1
    fi
    # If any exist, apply any user accounts
    CreateUserAccounts()
    # $1 volume whose local node database to modify
    local count="${#userFullName[*]}"
    local targetVol="${1}"
    if [ $count -gt 0 ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Adding $count user account(s) to the image"
    fi
    for ((index=0; index<$count; index++)); do
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Adding user ${userFullName[$index]}"
    fi
    #lay down user here
    AddLocalUser "${targetVol}" "${userFullName[$index]}" "${userUnixName[$index]}" "${userIsAdmin[$index]}" "${userPassword[$index]}" "${userPassHint[$index]}" "${userImagePath[$index]}" "${userLanguage[$index]}"
    if [ $? != 0 ]; then
    echo "Failed to create the User '${userUnixName[$index]}'."
    return 1
    fi
    done
    # "touch"
    /usr/bin/touch "${targetVol}/private/var/db/.AppleSetupDone"
    /usr/bin/touch "${targetVol}/Library/Receipts/.SetupRegComplete"
    fi
    # retry the hdiutil detach until we either time out or it succeeds
    retry_hdiutil_detach()
    local mount_point="${1}"
    local tries=0
    local forceAt=0
    local limit=24
    local opt=""
    forceAt=$(($limit - 1))
    while [ $tries -lt $limit ]; do
    tries=$(( tries + 1 ))
    /bin/sleep 5
    echo "Attempting to detach the disk image again..."
    /usr/bin/hdiutil detach "${mount_point}" $opt
    if [ $? -ne 0 ]; then
    # Dump a list of any still open files on the mountPoint
    if [ "${scriptsDebugKey}" == "DEBUG" ]; then
    /usr/sbin/lsof +fg "${mount_point}"
    fi
    if [ $tries -eq $forceAt ]; then
    echo "Failed to detach disk image at '${mount_point}' normally, adding -force."
    opt="-force"
    fi
    if [ $tries -eq $limit ]; then
    echo "Failed to detach disk image at '${mount_point}'."
    exit 1
    fi
    else
    tries=$limit
    fi
    done
    # Create the dyld shared cache files
    DetachAndRemoveMount()
    local theMount="${1}"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Detaching disk image"
    # Dump a list of any still open files on the mountPoint
    if [ "${scriptsDebugKey}" == "DEBUG" ]; then
    /usr/sbin/lsof +fg "${theMount}"
    fi
    fi
    # Finally detach the image and dispose the mountPoint directory
    /usr/bin/hdiutil detach "${theMount}" || retry_hdiutil_detach "${theMount}" || return 1
    /bin/rmdir "${theMount}" || return 1
    return 0
    # If the pieces exist, enable remote access for the shell image
    EnableRemoteAccess()
    local srcVol="${1}"
    local opt=""
    if [ -e "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Enabling shell image remote access support"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    # install some things (again which aren't part of BaseSystem) needed for remote ASR installs
    /usr/bin/ditto $opt "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" "${mountPoint}/usr/lib/pam/pam_serialnumber.so.2" || return 1
    if [ -e "${srcVol}/usr/sbin/installer" ]; then
    /usr/bin/ditto $opt "${srcVol}/usr/sbin/installer" "${mountPoint}/usr/sbin/installer" || return 1
    fi
    # copy the sshd config and add our keys to the end of it
    if [ -e "${srcVol}/etc/sshd_config" ]; then
    /bin/cat "${srcVol}/etc/sshd_config" - > "${mountPoint}/etc/sshd_config" << END
    HostKey /private/var/tmp/ssh_host_key
    HostKey /private/var/tmp/ssh_host_rsa_key
    HostKey /private/var/tmp/ssh_host_dsa_key
    END
    fi
    fi
    return 0
    # If it exists, install the sharing names and/or directory binding support to the install image
    HandleNetBootClientHelper()
    local tempDir="${1}"
    local targetVol="${2}"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e  "${tempDir}/bindingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Directory Service binding information"
    fi
    /usr/bin/ditto $opt "${tempDir}/bindingNames.plist" "${targetVol}/etc/bindingNames.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/etc/bindingNames.plist"
    /bin/chmod 644 "${targetVol}/etc/bindingNames.plist"
    fi
    if [ -e  "${tempDir}/sharingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Sharing Names support"
    fi
    /usr/bin/ditto $opt "${tempDir}/sharingNames.plist" "${targetVol}/etc/sharingNames.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/etc/sharingNames.plist"
    /bin/chmod 644 "${targetVol}/etc/sharingNames.plist"
    fi
    if [ -e  "${tempDir}/NetBootClientHelper" ]; then
    /usr/bin/ditto $opt "${tempDir}/NetBootClientHelper" "${targetVol}/usr/sbin/NetBootClientHelper" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/usr/sbin/NetBootClientHelper"
    /bin/chmod 555 "${targetVol}/usr/sbin/NetBootClientHelper"
    /usr/bin/ditto $opt "${tempDir}/com.apple.NetBootClientHelper.plist" "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist"
    /bin/chmod 644 "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist"
    # finally, make sure it isn't disabled...
    /usr/libexec/PlistBuddy -c "Delete :com.apple.NetBootClientHelper" "${targetVol}/var/db/launchd.db/com.apple.launchd/overrides.plist" > /dev/null 2>&1
    fi
    return 0
    # If any exist, install configuration profiles to the install image
    InstallConfigurationProfiles()
    local tempDir="${1}"
    local targetVol="${2}"
    local profilesDir="${targetVol}/var/db/ConfigurationProfiles"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e  "${tempDir}/configProfiles.txt" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Configuration Profiles"
    fi
    /bin/mkdir -p "${profilesDir}/Setup" || return 1
    # Make sure the perms are correct
    /usr/sbin/chown root:wheel "${profilesDir}"
    /bin/chmod 755 "${profilesDir}"
    /usr/sbin/chown root:wheel "${profilesDir}/Setup"
    /bin/chmod 755 "${profilesDir}/Setup"
    /usr/bin/touch "${profilesDir}/.profilesAreInstalled"
    CopyEntriesFromFileToPath "${tempDir}/configProfiles.txt" "${profilesDir}/Setup" || return 1
    # Enable MCX debugging
    if [ 1 == 1 ]; then
    if [ -e  "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" ]; then
    /usr/libexec/PlistBuddy -c "Delete :debugOutput" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    /usr/libexec/PlistBuddy -c "Delete :collateLogs" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    fi
    /usr/libexec/PlistBuddy -c "Add :debugOutput string -2" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    /usr/libexec/PlistBuddy -c "Add :collateLogs string 1" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    fi
    fi
    # Converts a list of scripts (full paths contained in the file at $1) into packages in $3
    InstallScriptsFromFile()
    local tempDir="${1}"
    local theFile="${2}"
    local targetDir="${3}"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Converting scripts into install packages"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    # make an installer package out of the script
    CreateInstallPackageForScript "$tempDir" "${FILE}" || return 1
    # copy the resulting package to the Packages directory
    local leafName=`basename "${FILE}"`
    /usr/bin/ditto $opt "${tempDir}/${leafName}.pkg" "${targetDir}/${leafName}.pkg" || return 1
    # clean up
    /bin/rm -r "${tempDir}/${leafName}.pkg"
    fi
    done < "${theFile}"
    return 0
    # Prepare the source by deleting stuff we don't want to copy if sourcing a volume
    PostFlightDestination()
    local tempDir="${1}"
    local destDir="${2}"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Performing post install cleanup"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    opt="-v"
    fi
    fi
    # delete the DS indices to force reindexing...
    if [ -e "${mountPoint}/var/db/dslocal/indices/Default/index" ]; then
    /bin/rm $opt "${mountPoint}/var/db/dslocal/indices/Default/index"
    fi
    # detach the disk and remove the mount folder
    DetachAndRemoveMount "${mountPoint}"
    if [ $? != 0 ]; then
    echo "Failed to detach and clean up the mount at '${mountPoint}'."
    return 1
    fi
    echo "Correcting permissions. ${ownershipInfoKey} $destDir"
    /usr/sbin/chown -R "${ownershipInfoKey}" "$destDir"
    # Prepare the source by deleting stuff we don't want to copy if sourcing a volume
    PreCleanSource()
    local srcVol="$1"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    opt="-v"
    fi
    fi
    if [ -e "$srcVol/private/var/vm/swapfile*" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Removing swapfiles on $1"
    fi
    /bin/rm $opt "$srcVol/private/var/vm/swapfile*"
    fi
    if [ -d "$srcVol/private/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/tmp/*"
    fi
    if [ -d "$srcVol/private/var/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/var/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/var/tmp/*"
    fi
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out devices and volumes on $1"
    fi
    if [ -d "$srcVol/Volumes" ]; then
    /bin/rm -r $opt "$srcVol/Volumes/*"
    fi
    if [ -d "$srcVol/dev" ]; then
    /bin/rm $opt "$srcVol/dev/*"
    fi
    if [ -d "$srcVol/private/var/run" ]; then
    /bin/rm -r $opt "$srcVol/private/var/run/*"
    fi
    # Copy kernel and build the kext cache on the boot image
    PrepareKernelAndKextCache()
    local srcDir="$1"
    local destDir="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Preparing the kernel and kext cache for t          /bin/rmdir "${theMount}" || return 1
    return 0
    # If the pieces exist, enable remote access for the shell image
    EnableRemoteAccess()
    local srcVol="${1}"
    local opt=""
    if [ -e "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Enabling shell image remote access support"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    # install some things (again which aren't part of BaseSystem) needed for remote ASR installs
    /usr/bin/ditto $opt "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" "${mountPoint}/usr/lib/pam/pam_serialnumber.so.2" || return 1
    if [ -e "${srcVol}/usr/sbin/installer" ]; then
    /usr/bin/ditto $opt "${srcVol}/usr/sbin/installer" "${mountPoint}/usr/sbin/installer" || return 1
    fi
    # copy the sshd config and add our keys to the end of it
    if [ -e "${srcVol}/etc/sshd_config" ]; then
    /bin/cat "${srcVol}/etc/sshd_config" - > "${mountPoint}/etc/sshd_config" << END
    HostKey /private/var/tmp/ssh_host_key
    HostKey /private/var/tmp/ssh_host_rsa_key
    HostKey /private/var/tmp/ssh_host_dsa_key
    END
    fi
    fi
    return 0
    # If it exists, install the sharing names and/or directory binding support to the install image
    HandleNetBootClientHelper()
    local tempDir="${1}"
    local targetVol="${2}"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e  "${tempDir}/bindingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Directory Service binding information"
    fi
    /usr/bin/ditto $opt "${tempDir}/bindingNames.plist" "${targetVol}/etc/bindingNames.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/etc/bindingNames.plist"
    /bin/chmod 644 "${targetVol}/etc/bindingNames.plist"
    fi
    if [ -e  "${tempDir}/sharingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Sharing Names support"
    fi
    /usr/bin/ditto $opt "${tempDir}/sharingNames.plist" "${targetVol}/etc/sharingNames.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/etc/sharingNames.plist"
    /bin/chmod 644 "${targetVol}/etc/sharingNames.plist"
    fi
    if [ -e  "${tempDir}/NetBootClientHelper" ]; then
    /usr/bin/ditto $opt "${tempDir}/NetBootClientHelper" "${targetVol}/usr/sbin/NetBootClientHelper" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/usr/sbin/NetBootClientHelper"
    /bin/chmod 555 "${targetVol}/usr/sbin/NetBootClientHelper"
    /usr/bin/ditto $opt "${tempDir}/com.apple.NetBootClientHelper.plist" "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist"
    /bin/chmod 644 "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist"
    # finally, make sure it isn't disabled...
    /usr/libexmountPoint=`mktemp -d "/tmp/mnt.XXXXXXXX"`
    errExit()
    echo "Execution of '`basename ${0}`' failed. Cleaning up."
    # detach the disk and remove the mount folder
    DetachAndRemoveMount "${mountPoint}"
    /bin/rm -r "${destPath}"
    exit 1
    # Set up for script debugging
    debug_opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    debug_opt="-v"
    fi
    # Prepare the destination
    CreateOrValidatePath "$destPath" || errExit
    # update progress information
    echo "${progressPrefix}_creatingImage_"
    if [ -e "${installSource}/BaseSystem.dmg" ]; then
    size=$2
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    echo "Creating disk image (Size: $size MB)"
    fi
    /usr/bin/hdiutil create "$destPath/$dmgTarget" -megabytes $size -volname "${dmgVolName}" -uid 0 -gid 80 -mode 1775 -layout "SPUD" -fs "$destVolFSType" -stretch 500g -ov -puppetstrings || errExit
    echo "${progressPrefix}_copyingSource_"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    echo "Attaching disk image"
    fi
    /usr/bin/hdiutil attach "${destPath}/${dmgTarget}.dmg" -owners on -nobrowse -noautoopen -mountpoint "${mountPoint}" -quiet || errExit
    # Copy source Volume base system to
    /usr/bin/ditto $debug_opt "${installSource}" "${mountPoint}" || errExit
    else
    echo "This does not appear to be a Mac OS X Install DVD."
    errExit
    fi
    # If adding any additional packages or scripts
    if [ -e "${1}/OSInstall.collection" ]; then
    /usr/bin/ditto $debug_opt "${1}/OSInstall.collection" "${mountPoint}/Packages/OSInstall.collection" || errExit
    /usr/sbin/chown root:wheel "${mountPoint}/Packages/OSInstall.collection"
    # If adding any additional packages
    if [ -e "${1}/additionalPackages.txt" ]; then
    CopyPackagesWithDestinationsFromFile "${1}/additionalPackages.txt" || errExit
    fi
    # If adding any scripts
    if [ -e "${1}/additionalScripts.txt" ]; then
    InstallScriptsFromFile "${1}" "${1}/additionalScripts.txt" "${mountPoint}/Packages" || errExit
    fi
    fi
    # If it exists, install the partition data onto the install image
    ProcessAutoPartition "${1}" || errExit
    # If it exists, install minstallconfig.xml (AutoInstall data) onto the install image
    ProcessMinInstall "${1}" || errExit
    # update progress information
    echo "${progressPrefix}_buildingBooter_"
    # Copy kernel and boot loader
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Preparing the kernel and boot loader for the boot image"
    fi
    # make sure this doesn't exist
    if [ -e "${destPath}/i386" ]; then
    /bin/rm -rf "${destPath}/i386"
    fi
    /bin/mkdir -p $debug_opt "${destPath}/i386/x86_64" || errExit
    # copy these directly off the install media
    /usr/bin/ditto $debug_opt "${installSource}/boot.efi" "${destPath}/i386/booter" || errExit
    /usr/bin/chflags nohidden "${destPath}/i386/booter"
    # Grab the relevant portion of the com.apple.Boot.plist
    kernelFlags=`/usr/libexec/PlistBuddy -c "print :'Kernel Flags'" "${installSource}/Library/Preferences/SystemConfiguration/com.apple.Boot.plist"`
    /usr/libexec/PlistBuddy -c "add :'Kernel Flags' string ${kernelFlags}" "${destPath}/i386/com.apple.Boot.plist" > /dev/null 2>&1
    /usr/bin/ditto $debug_opt "${installSource}/System/Library/CoreServices/PlatformSupport.plist" "${destPath}/i386/PlatformSupport.plist" || errExit
    # extract the kernel & kernelcache for the boot shell
    /usr/bin/lipo -extract i386 "${mountPoint}/kernelcache" -output "${destPath}/i386/kernelcache" || errExit
    /usr/bin/lipo -extract x86_64 "${mountPoint}/kernelcache" -output "${destPath}/i386/x86_64/kernelcache" || errExit
    # Apply choice changes, if any
    if [ -e "${1}/MacOSXInstaller.choiceChanges" ]; then
    echo "Copy over package choice selection."
    /usr/bin/ditto $debug_opt "${1}/MacOSXInstaller.choiceChanges" "${mountPoint}/Packages/Extras/MacOSXInstaller.choiceChanges"
    fi
    # update progress information
    echo "${progressPrefix}_finishingUp_"
    # perform the final cleanup
    PostFlightDestination "${1}" "$destPath" || errExit
    errExit
    Vol/private/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/tmp/*"
    fi
    if [ -d "$srcVol/private/var/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/var/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/var/tmp/*"
    fi
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out devices and volumes on $1"
    fi
    if [ -d "$srcVol/Volumes" ]; then
    /bin/rm -r $opt "$srcVol/Volumes/*"
    fi
    if [ -d "$srcVol/dev" ]; then
    /bin/rm $opt "$srcVol/dev/*"
    fi
    if [ -d "$srcVol/private/var/run" ]; then
    /bin/rm -r $opt "$srcVol/private/var/run/*"
    fi
    # Copy kernel and build the kext cache on the boot image
    PrepareKernelAndKextCache()
    local srcDir="$1"
    local destDir="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Preparing the kernel and kext cache for tPERCENT:0.000000
    PERCENT:4.332841
    PERCENT:8.985722
    PERCENT:12.358444
    PERCENT:14.524864
    PERCENT:16.617430
    PERCENT:19.522402
    PERCENT:21.614967
    PERCENT:23.535204
    PERCENT:26.070902
    PERCENT:29.271296
    PERCENT:33.111767
    PERCENT:38.847858
    PERCENT:42.343674
    PERCENT:44.707043
    PERCENT:46.578041
    PERCENT:49.138355
    PERCENT:51.772526
    PERCENT:55.563763
    PERCENT:58.567207
    PERCENT:62.210735
    PERCENT:64.795670
    PERCENT:69.719353
    PERCENT:74.741508
    PERCENT:77.055641
    PERCENT:79.591331
    PERCENT:83.013290
    PERCENT:85.548988
    PERCENT:88.010834
    PERCENT:91.728210
    PERCENT:97.710487
    PERCENT:100.000000
    PERCENT:-1.000000
    Finalizing disk image.
    created: /Users/vm/Desktop/NetInstall of Install Mac OS X Lion/NetInstall.dmg
    /bin/rmdir "${theMount}" || return 1
    return 0
    # If the pieces exist, enable remote access for the shell image
    EnableRemoteAccess()
    local srcVol="${1}"
    local opt=""
    if [ -e "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Enabling shell image remote access support"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    # install some things (again which aren't part of BaseSystem) needed for remote ASR installs
    /usr/bin/ditto $opt "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" "${mountPoint}/usr/lib/pam/pam_serialnumber.so.2" || return 1
    if [ -e "${srcVol}/usr/sbin/installer" ]; then
    /usr/bin/ditto $opt "${srcVol}/usr/sbin/installer" "${mountPoint}/usr/sbin/installer" || return 1
    fi
    # copy the sshd config and add our keys to the end of it
    if [ -e "${srcVol}/etc/sshd_config" ]; then
    /bin/cat "${srcVol}/etc/sshd_config" - > Creating working path at /Users/vm/Desktop/NetInstall of Install Mac OS X Lion
    Creating disk image (Size: 4062 MB)
    /tmp/ssh_host_dsa_key
    END
    fi
    fi
    return 0
    # If it exists, install the sharing names and/or directory binding support to the install image
    HandleNetBootClientHelper()
    local tempDir="${1}"
    local targetVol="${2}"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e  "${tempDir}/bindingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Directory Service binding information"
    fi
    /usr/bin/ditto $opt "${tempDir}/bindingNames.plist" "${targetVol}/etc/bindingNames.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/etc/bindingNames.plist"
    /bin/chmod 644 "${targetVol}/etc/bindingNames.plist"
    fi
    if [ -e  "${tempDir}/sharingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Sharing Names support"
    fi
    /usr/bin/ditto $opt "${tempDir}/sharingNames.plist" "${targetVol}/etc/sharingNames.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/etc/sharingNames.plist"
    /bin/chmod 644 "${targetVol}/etc/sharingNames.plist"
    fi
    if [ -e  "${tempDir}/NetBootClientHelper" ]; then
    /usr/bin/ditto $opt "${tempDir}/NetBootClientHelper" "${targetVol}/usr/sbin/NetBootClientHelper" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/usr/sbin/NetBootClientHelper"
    /bin/chmod 555 "${targetVol}/usr/sbin/NetBootClientHelper"
    /usr/bin/ditto $opt "${tempDir}/com.apple.NetBootClientHelper.plist" "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist"
    /bin/chmod 644 "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist"
    # finally, make sure it isn't disabled...
    /usr/libex
    # update progress information
    echo "${progressPrefix}_creatingImage_"
    if [ -e "${installSource}/BaseSystem.dmg" ]; then
    size=$2
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    echo "Creating disk image (Size: $size MB)"
    fi
    /usr/bin/hdiutil create "$destPath/$dmgTarget" -megabytes $size -volname "${dmgVolName}" -uid 0 -gid 80 -mode 1775 -layout "SPUD" -fs "$destVolFSType" -stretch 500g -ov -puppetstrings || errExit
    echo "${progressPrefix}_copyingSource_"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    echo "Attaching disk image"
    fi
    /usr/bin/hdiutil attach "${destPath}/${dmgTarget}.dmg" -owners on -nobrowse -noautoopen -mountpoint "${mountPoint}" -quiet || errExit
    # Copy source Volume base system to
    /usr/bin/ditto $debug_opt "${installSource}" "${mountPoint}" || errExit
    else
    echo "This does not appear to be a Mac OS X Install DVD."
    errExit
    fi
    # If adding any additional packages or scripts
    if [ -e "${1}/OSInstall.collection" ]; then
    /usr/bin/ditto $debug_opt "${1}/OSInstall.collection" "${mountPoint}/Packages/OSInstall.collection" || errExit
    /usr/sbin/chown root:wheel "${mountPoint}/Packages/OSInstall.collection"
    # If adding any additional packages
    if [ -e "${1}/additionalPackages.txt" ]; then
    CopyPackagesWithDestinationsFromFile "${1}/additionalPackages.txt" || errExit
    fi
    # If adding any scripts
    if [ -e "${1}/additionalScripts.txt" ]; then
    InstallScriptsFromFile "${1}" "${1}/additionalScripts.txt" "${mountPoint}/Packages" || errExit
    fi
    fi
    # If it exists, install the partition data onto the install image
    ProcessAutoPartition "${1}" || errExit
    # If it exists, install minstallconfig.xml (AutoInstall data) onto the install image
    ProcessMinInstall "${1}" || errExit
    # update progress information
    echo "${progressPrefix}_buildingBooter_"
    # Copy kernel and boot loader
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Preparing the kernel and boot loader for the boot image"
    fi
    # make sure this doesn't exist
    if [ -e "${destPath}/i386" ]; then
    /bin/rm -rf "${destPath}/i386"
    fi
    /bin/mkdir -p $debug_opt "${destPath}/i386/x86_64" || errExit
    # copy these directly off the install media
    /usr/bin/ditto $debug_opt "${installSource}/boot.efi" "${destPath}/i386/booter" || errExit
    /usr/bin/chflags nohidden "${destPath}/i386/booter"
    # Grab the relevant portion of the com.apple.Boot.plist
    kernelFlags=`/usr/libexec/PlistBuddy -c "print :'Kernel Flags'" "${installSource}/Library/Preferences/SystemConfiguration/com.apple.Boot.plist"`
    /usr/libexec/PlistBuddy -c "add :'Kernel Flags' string ${kernelFlags}" "${destPath}/i386/com.apple.Boot.plist" > /dev/null 2>&1
    /usr/bin/ditto $debug_opt "${installSource}/System/Library/CoreServices/PlatformSupport.plist" "${destPath}/i386/PlatformSupport.plist" || errExit
    # extract the kernel & kernelcache for the boot shell
    /usr/bin/lipo -extract i386 "${mountPoint}/kernelcache" -output "${destPath}/i386/kernelcache" || errExit
    /usr/bin/lipo -extract x86_64 "${mountPoint}/kernelcache" -output "${destPath}/i386/x86_64/kernelcache" || errExit
    # Apply choice changes, if any
    if [ -e "${1}/MacOSXInstaller.choiceChanges" ]; then
    echo "Copy over package choice selection."
    /usr/bin/ditto $debug_opt "${1}/MacOSXInstaller.choiceChanges" "${mountPoint}/Packages/Extras/MacOSXInstaller.choiceChanges"
    fi
    # update progress information
    echo "${progressPrefix}_finishingUp_"
    # perform the final cleanup
    PostFlightDestination "${1}" "$destPath" || errExit
    rrExit
    # Apply choice changes, if any
    if [ -e "${1}/MacOSXInstaller.choiceChanges" ]; then
    echo "Copy over package choice selection."
    /usr/bin/ditto $debug_opt "${1}/MacOSXInstaller.choiceChanges" "${mountPoint}/Packages/Extras/MacOSXInstaller.choiceChanges"
    fi
    # update progress information
    echo "${progressPrefix}_finishingUp_"
    # perform the final cleanup
    PostFlightDestination "${1}" "$destPath" || errExit
    tDestination "${1}" "$destPath" || errExit
    errExit
    Vol/private/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/tmp/*"
    fi
    if [ -d "$srcVol/private/var/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/var/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/var/tmp/*"
    fi
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out devices and volumes on $1"
    fi
    if [ -d "$srcVol/Volumes" ]; then
    /bin/rm -r $opt "$srcVol/Volumes/*"
    fi
    if [ -d "$srcVol/dev" ]; then
    /bin/rm $opt "$srcVol/dev/*"
    fi
    if [ -d "$srcVol/private/var/run" ]; then
    /bin/rm -r $opt "$srcVol/private/var/run/*"
    fi
    # Copy kernel and build the kext cache on the boot image
    PrepareKernelAndKextCache()
    local srcDir="$1"
    local destDir="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    Stopping image creation.
    Terminating script!
    Image creation failed.

  • DDLIMP utility is failing while running the DDL_OLTP.ctl script for Siebel

    DDLIMP utility is failing while running the DDL_OLTP.ctl script for Siebel source on DB2.
    Below is the the log details:
    2021 2012-11-08 03:23:46 2012-11-08 03:25:56 -0700 0000002a 001 003f 0001 09 ddlimp 604 736 C:\OBIA\Upgrade\CTLFiles\DDL_.log
    ContextInit     ContextInit     0     0     2012-11-08 03:23:46     Message Facility failed to init. Siebel Root: C:\DAC\client\utilities
    Trace     Trace     3     0     2012-11-08 03:23:46     Siebel Enterprise Applications ODBC DDL Import Utility, Version 7.7 [18030] ENU
    Trace     Trace     3     0     2012-11-08 03:23:46     Copyright (c) 2001 Siebel Systems, Inc. All rights reserved.
    Trace     Trace     3     0     2012-11-08 03:23:46     
    This software is the property of Siebel Systems, Inc., 2207 Bridgepointe Parkway,
    San Mateo, CA 94404.
    User agrees that any use of this software is governed by: (1) the applicable
    user limitations and other terms and conditions of the license agreement which
    has been entered into with Siebel Systems or its authorized distributors; and
    (2) the proprietary and restricted rights notices included in this software.
    WARNING: THIS COMPUTER PROGRAM IS PROTECTED BY U.S. AND INTERNATIONAL LAW.
    UNAUTHORIZED REPRODUCTION, DISTRIBUTION OR USE OF THIS PROGRAM, OR ANY PORTION
    OF IT, MAY RESULT IN SEVERE CIVIL AND CRIMINAL PENALTIES, AND WILL BE
    PROSECUTED TO THE MAXIMUM EXTENT POSSIBLE UNDER THE LAW.
    If you have received this software in error, please notify Siebel Systems
    immediately at (650) 295-5000.
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:23:46     ddlimp /U SIEBEL /P ***** /C siebel /G SSE_ROLE /F C:\OBIA\Upgrade\CTLFiles\DDL_OLTP.CTL /L C:\OBIA\Upgrade\CTLFiles\DDL_
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:23:46     
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:23:46     Connecting to the database...
    DBCLog     DBCLogError     1     0     2012-11-08 03:23:52     SQL Warning, SQL State 01004, 0, [DataDirect][ODBC DB2 Wire Protocol driver]String data, right truncated.
    DBCLog     DBCLogError     1     0     2012-11-08 03:23:52     SQL Warning, SQL State ”, 40042692, CLog     DBCLogError     1     0     2012-11-08 03:23:52     SQL Warning, SQL State 01004, 0, [DataDirect][ODBC DB2 Wire Protocol driver]String data, right truncated.
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:23:52     Connected.
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:23:52     
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:23:52     Reading tables and indexes from DDL file...
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:23:52     Read 522 tables and 1084 indexes from DDL file...
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:23:52     
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:23:52     Reading existing schema...
    SARMLog     SARMInformation     3     0     2012-11-08 03:23:52     SARM is OFF -change param SARMLevel to enable
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     Read 0 tablespaces, 6137 tables and 24846 indexes from existing schema...
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     Running SQL statements against the database...
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     Merging table S_ETL_COSTLST ...
    SQLError     Statement     0     0     2012-11-08 03:25:56     SQL Statement:
    alter table S_ETL_COSTLST modify
    CONFLICT_ID varchar(15)
    DBCLog     DBCLogError     1     0     2012-11-08 03:25:56     [DataDirect][ODBC DB2 Wire Protocol driver][UDB DB2 for Windows, UNIX, and Linux]ILLEGAL SYMBOL modify; VALID SYMBOLS ARE table S_ETL_COSTLST. ADD
    SQLError     Statement     0     0     2012-11-08 03:25:56     SQL Statement:
    alter table S_ETL_COSTLST modify
    CONFLICT_ID varchar(15)
    DBCLog     DBCLogError     1     0     2012-11-08 03:25:56     [DataDirect][ODBC DB2 Wire Protocol driver][UDB DB2 for Windows, UNIX, and Linux]An error occurred during implicit system action type '2'. Information returned for the error includes SQLCODE '-104', SQLSTATE '42601' and message tokens 'modify|table S_ETL_COSTLST|ADD'.
    SQLError     Statement     0     0     2012-11-08 03:25:56     SQL Statement:
    alter table S_ETL_COSTLST modify
    CONFLICT_ID default '0'
    DBCLog     DBCLogError     1     0     2012-11-08 03:25:56     [DataDirect][ODBC DB2 Wire Protocol driver][UDB DB2 for Windows, UNIX, and Linux]ILLEGAL SYMBOL modify; VALID SYMBOLS ARE table S_ETL_COSTLST. ADD
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     37000: [DataDirect][ODBC DB2 Wire Protocol driver][UDB DB2 for Windows, UNIX, and Linux]ILLEGAL SYMBOL modify; VALID SYMBOLS ARE table S_ETL_COSTLST. ADD
    SQLError     Statement     0     0     2012-11-08 03:25:56     SQL Statement:
    alter table S_ETL_COSTLST modify
    CONFLICT_ID default '0'
    DBCLog     DBCLogError     1     0     2012-11-08 03:25:56     [DataDirect][ODBC DB2 Wire Protocol driver][UDB DB2 for Windows, UNIX, and Linux]An error occurred during implicit system action type '2'. Information returned for the error includes SQLCODE '-104', SQLSTATE '42601' and message tokens 'modify|table S_ETL_COSTLST|ADD'.
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     56098: [DataDirect][ODBC DB2 Wire Protocol driver][UDB DB2 for Windows, UNIX, and Linux]An error occurred during implicit system action type '2'. Information returned for the error includes SQLCODE '-104', SQLSTATE '42601' and message tokens 'modify|table S_ETL_COSTLST|ADD'.
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     alter table S_ETL_COSTLST modify
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     CONFLICT_ID default '0'
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     ;
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     writeExecDDL error (UTLOdbcExecDirectDDL pDDLSql).
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     writeExecDDL error (UTLDbDdlColModify).
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     Error in MainFunction (UTLDbDdlDbMerge).
    SQLDBUtilityLog     SQLDBUtilityLog     3     0     2012-11-08 03:25:56     Error in Main function...
    GenericLog     GenericError     1     0     2012-11-08 03:25:56     (logapi.cpp (167) err=1 sys=126) SBL-GEN-00001: (logapi.cpp: 167) error code = 1, system error = 126, msg1 = (null), msg2 = (null), msg3 = (null), msg4 = (null)

    If you run DAC on a 64-bit windows Operating System, you must create the ODBC data source using the ODBC Administrator tool in %windir%\SysWOW64\odbcad32.exe. for creating the data warehouse tables.
    If helps pls mark

  • CDI-21600 A running Generator or Utility has failed.

    Hi !
    When I'm generating a module with Oracle Designer (6.0), I get the following Error:
    CDI-21600 A running Generator or Utility has failed. It is possible that the internal cache is now in an inconsistent state. You are therefore recommended to close and restart the application.
    What is the matter ?! Who can help me solving this problem. And what is the problem exactly.
    with kind regards,
    Nico Punter
    [email protected]
    The Netherlands

    Nico,
    The CDI-21600 is something like an 'unhandled exception handler' for the generator. There are many things that can lead to it, too long a list to provide here. You can look all known causes up in Metalink note 104869.1
    Kind regards,
    Peter Ebell

  • Backup utility call failed

    Hello,
    I upgraded recently the Oracle database from 10.2.0.4 to 11.2.0.2. (on AIX )
    Since then, the backups do not more function correctly.
    As in the BRBACKUP Action Log for Database, the following errors occured:
    - BR0232E 0 of 90 files saved by backup utility
    - BR0231E Backup utility call failed
    - Cannot reopen backint log file as stderr
    So, I checked the permissions for /usr/sap/DIS/SYS/exe/run/backint, the path and permission are set properly.
    I checked the also log '/nsr/applogs/backintSID.log' and I noted that the system does not write any more in this file since last successful backup (befor the Upgrade)
    Many Thanks in advance for your help
    NB : according to the SAP Note 948294, I deleted the options cio, dio in /etc/filesystems
    Best regards
    Latif

    >> @Orkun
    My current Br*tools version is : BR0651I BRTOOLS 7.10 (30). I upgraded an other DEV System before, it has the same BRTOOLS version as my test system, and the backup works well.
    Firstly, rename backintSID.log to backintSID.log.1 and start a new backup. By doing so, the system will try to create a new trace file. If it is not able to create trace file, check the permissions of its directory(/nsr/applogs). At the end of this operation, could you provide full trace?
    Secondy, even you are able to execute the brtools 7.10 on your dev system, I still strongly recommend update it to 7.20. Check the note 12741 - Current versions of BRTools and SAPDBA
    Thirdly, is brbackup forked by a 3rd party backup application or manually at the OS level by orasid user?
    Best regards,
    Orkun Gedik
    Edited by: Orkun Gedik on Aug 9, 2011 1:32 PM

  • Input/Output Error in Disk Utility w/ Failing HD

    Hey Apple Community,
    I know others probably have asked this question, but I didn't want to spend an hour looking for the correct solution (if one even exists)...thanks for understanding.
    Last night my Mid-2009 Macbook Pro failed to boot after a shutdown. I've had a couple things replaced in the past, but upon restarting in Recovery HD mode, it became obvious that the hard drive was failing (I'm assuming, the S.M.A.R.T. designation in Disk Utility said "failing" in red font).  I tried to create an image to an external 1 TB Hard Drive after verifying and a repair attempt, in an attempt to back up my original Hard Drive, but I received the following error message: "Input/Output Error...," and quit the image creation attempt.
    I don't have a lot on my computer, about 95% of the original HD was unused. What is important though are prior Graduate School documents, and a few work-related projects. Is there any way to get the information off the HD before it shuts down completely? I am technologically proficient enough to do things on my own, but the local Mac specialists (nearest Apple store is 2 hours away) wanted $150-300 for the work. I can replace the HD myself, so the issue is just getting at least part of the information off the original hard drive onto my external one.
    Thank you in advance for any advice/solution/etc you may have! -Matt

    Rudiger314 wrote:
    Partition Map Scheme: Unformatted
    Repair/Verify options are unavailable—buttons grayed out. Erase and Partition options appear to work fine until I press Apply/Erase
    1. When Disk Utility starts, select the drive in the sidebar (the line with the size and make/ID).
    2. Select the Partition tab, then set the number of partitions from the drop down menu (use 1 partition unless you wish to make more.)
    3. Click Options, then choose either GUID (for Intel Macs), or +Apple Partition Map+ (for PPC Macs)
    4. For each partition, click on it (it will then be outlined in blue), then supply a name (this is the name that will appear on your desktop and/or Finder sidebar) and size (either by typing in the box or dragging the dividers), and be sure the format type is +Mac OS Extended (Journaled.)+ Don't use any of the other options unless you're sure you need to.
    5. When you've got everything the way you want it, click Apply and wait until the process has completed.

  • CDR-21600: A running Generator or Utility has failed

    Hi again to all.
    For some reason I am getting this error ( taken from the error window) every time I try to generate a Form out of Designer 6i :
    Message
    CDR-21600: A running Generator or Utility has failed.
    Cause
    Action
    It is possible that the internal cache is now in an inconsistent
    state. You are therefore
    recommended to close and restart the application.
    On the Message window says:
    CDG-00071 SYSTEM ERROR: Failed to create Forms API context.
    This is the installation that I have:
    Designer 6i 4.1.1
    Developer 6i - Patch 7
    Oracle 8i Release 3 (8.1.7)
    I went trough OTN's Designer forums and it doesn't give me much information about this errors. I tried installing the patch several times...in both Developer home and Designer home and it doesn't work.
    Please provide some advise in this matter.
    Thank you.
    Chris
    [email protected]

    This is a common problem in my shop as well.. I have found that deleting
    pior FMB's from the destination directory and restarting designer usually fixes it.
    HTH

  • Airport utility scans fail.

    After airport extreme 7.6 firmware upgrade, airport utility scans fail and can't see my airport extreme or airport express. Both of these airports are working, have green lights, have internet access and also iTunes streaming. I'm willing to to downgrade to 7.5.2 but installer also does not see either airport.

    I have had the same kind of problem.
    My main connection to Internet is through my Time Capsule, I also have an Airport Extreme which is used to extend my wireless network to have better coverage, and to have a printer connected.
    It seems that the Airport Extreme goes into sleep mode and thus cannot be seen from Airport Tools - the only way for me was to power off power on and then wait for it to turn up in Airport tools.
    The reason for going into sleep ?? But I only used it wireless, and the with a printer on a network port. I then connected my Mac Mini by cable to one port and that seemed to do the trick :-) meaning som traffic on the ethernet ports - a connected printer does nothing, just sits waiting for print....
    Also found that there is something spooky with the NTP service from time.apple.com - not properly responding when pinged - changed to other NTP service.
    Apple - go fix! 7.6.1 is dearly wanted

  • How can I transfer files from one external HD (WD My Passport) to another external HD (Seagate Backup Plus)?  WD drive was improperly ejected and Finder no longer recognizes it.  Tried fixing with Disk Utility but failed.

    How can I transfer files from one external HD (WD My Passport 2T) to another external HD (Seagate Backup Plus 2T)?  WD drive was improperly ejected (although we did tell it to eject) and now Finder no longer recognizes it.   Using MacBook Pro and I just upgraded to Yosemite before this happened. Was told at Apple Store to use Disk Utility to repartition, but it failed.  It says to backup files and restore.  But how do I backup files?  Or would appreciate any other suggestions to repair drive.

    You may drag & drop between external hds. 
    Should you run into trouble.
    Take the exernal drive appart.  Take out the harddrive.  Try reading the data via a usb adapter. Put a household finan on the hd.
    http://www.cablewholesale.com/products/usb-firewire/usb-2.0-products/product-40u   2-01000.php?utm_source=Nextag&utm_medium=cpc&zmam=54972865&zmas=1&zmac=4&zmap=4 4 77

  • SMART Utility Says "Failing"

    My 12" powerbook Aluminum was refusing to shut down--meaning I couldn't clone it to my external. So I ran SMART Utility. It found Pending Bad Sectors: 2, Reallocated Bad Sectors: 3, Total Errors 30, and Last Error Type: Uncorrectable.
    So I ordered a new drive. Everytime I try to clone my current drive to my external it bumps up against some file it fails to copy. The first couple of times these were Adobe Files. So I removede CS2 from the computer (a lengthy process), ran Applejack, and tried again. This is the error message I get from SuperDuper: WARNING: Caught I/O exception(22): Invalid argument
    | 11:32:39 PM | Info |WARNING: Source: /private/var/log/system.log, lstat(): 0
    | 11:32:39 PM | Info |WARNING: Target: /Volumes/GB 12" Backup/private/var/log/system.log, lstat(): 0
    | 11:32:39 PM | Info |Attempting to copy file using copyfile().
    | 11:32:39 PM | Info |Attempting to copy file using ditto.
    | 11:32:39 PM | Error | ditto: /private/var/log/./system.log: Result too large
    So I have a new hard drive to install, but I can't clone my old one. I'd really like to shorten this process as much as possible as I've been having weeks of computer **** (three laptops, two failing hard drives and a bad memory card spread out over all three).
    Question: How do I clone this drive? And 2) If I DO successfully clone it, am I just cloning the problems I'm trying to rectify?
    Please help.
    Cheers,
    Giles

    Giles:
    I would like to copy my applications over from my old failing drive but I don't want to copy any corruption. Can you please advise what is the best way to do this?
    If there is an issue with the files and apps on the drive there may be concern about it. However, if the files and apps were not having issues, and it is simply a matter of the HDD itself failing, there should not be an issue with moving them over. Then later, if you find there are issues you can simply reinstall the problem apps.
    Or should I just bite the bullet and reinstall from scratch?
    That is certainly an option. However, as I noted above, you may not need to do so up front.
    Even if I reinstall from scratch, can I safely copy my user data (preferences, bookmarks, etc) for Safari and Entourage?
    Yes, you can. I suggest that you use the schedule laid out in the article A Basic Guide for Migrating to Intel-Macs. I realize that you are working with PowerPC Macs, but you need the same stuff moved. It works very well. I would be sure to test the drive to which you have copied before deleting the old stuff.
    Good luck.
    cornelius

  • Disk Utility erase fails after computer wakes up

    I'm having an annoying problem with Disk Utility on OS X Lion 10.7.5 failing to erase a harddrive thats plugged into a HDD Docking Station via USB after computer wakes up from screen-off. I have an OCZ Agility 4 SATAIII 512.11 Gb SSD. I'm trying to do a complete erase with 7-Pass Erase so I can use this SSD for my Sony VAIO Laptop so I can ready it for fresh install for Ubuntu.
    Now the problem with Disk Utility is that when I've selected 7-Pass Erase, I go away and leave the computer to do it's thing while it erases it, however when I come back and wake the computer screen to come back on, Disk Utility then tells me the erase failed. –– In my System Preferences for Power Saving settings I have the computer set to NEVER sleep, but only put the screen off after a while when not in use (ie; after 30 minutes). My other Sys Prefs settings are also set to ask for login after waking, I've not yet tested without this setting turned off to see if it's cause of problem, but I'll probably give it a shot anyway and see what happens. But I don't see how that would cause the problem since anything working in the background should still remain active while the screen is off just like Time Machine does for example when it does backups since it's USB powered.
    Anyway… I think is either some kind of bug/error in Disk Utility or OS X itself. I've tried other Hard Drives and SSD's and they've all worked just about the same, and I don't think it's the HDD Docking Station either because it mounts everything perfectly and runs fine for continus use, I just hope there's a workable solution to fix this annoying problem when waking the screen from sleep. I have tested that it is screen-off that's causing it to fail by pressing the following keys Ctrl + ⇧ + ⏏ to put the screen to sleep, then waking again then entering my password to get back in. I have 1 other thing I've yet to try out, I've currently got it plugged in via USB port on my keyboard, I'll have to try it out on my iMac's main USB's ports to see if that may be part of the problem too.

    Please boot into Internet Recovery (Command+Opt+R) and ensure you see the spinning globe. If you do, you can use diskutil cs commands to initialize your disk and re-install/restore from a TM backup.

  • Disk Utility Broken (fails to image or verify properly)

    Hey, my disk Utility seems to be broken.
    When I try to clone a drive it goes along fine, then ultimately creates something that doesn't pass it's own verification afterwards, and fails when I try to open the image.
    I repair both the cloned (main/internal) drive, and the destination drive. I use Disk Warrior on it so it's nice and clean, but still it fails.
    So I created an image with SuperDuper by making a copy on a free reformated drive then bouncing it back onto the original drive as a clone/image. That works, and disk utility sees it as good, but aparently a little too good, cause it says it over and over and craps out.
    Here's the error I get:
    Disk Utility internal error
    Disk Utility has lost its connection with the Disk Management Tool and cannot continue. Please quit and relaunch Disk Utility.
    (Quit)
    Then in the background the DU program says:
    Volume passed verification
    1 HFS volume checked
    Volume passed verification
    1 HFS volume checked
    Volume passed verification
    1 HFS volume checked
    and repeats this on into infinity.
    Then when I check (Quit) it says it's still in progress and quitting could leave the disk non operations depending on the task.
    Since this is a read only task (verify) I'm not worried about that, but it doesn't mean that the DU isn't screwed.
    I've tried using DU off the istall disk and that doesn't seem to work either. So did they just ship me a bad system install disk? Should I be looking for another copy of DU?

    Your issue lost connection with the Disk Management Tool is normally a Panther problem, but some Tiger users have experianced it also. Follow the advice in this link.
    If you follow the tips in there it should straighten out Disk Utility.
    Cheers!
    DALE

  • Satellite Pro A200 - Supervisor Password Utility Setup fails

    Hello,
    I own a Satellite Pro A200-PSAE7E and a retail license for Windows Vista Ultimate 32bit (with SP1) installed on it.
    Before installing Vista, I upgraded the BIOS to the most recent version available on the Toshiba site (http://it.computers.toshiba-europe.com/cgi-bin/ToshibaCSG/vista_drivers.jsp?service=IT).
    BIOS version is now 2.20-WIN32
    After the successful installation of the operating system, I started installing the various drivers and utilities downloading them from the Toshiba site.
    When I try to install the "Supervisor Password Utility" the setup fails showing a message box which says "The serial number is invalid".
    Same problem with another setup: "Flash Cards Support Utility"
    Does anybody know how to solve this problem and which serial number is invalid?
    Thanx in advance,
    mme000

    Hi,
    You are having the same trouble as other people on these forums.
    If you want to fix it yourself, you would need to look at the disk image on the disk that came with your toshiba, figure out which version of the application was included on that, you might be able to find that version on the website for a different model and different country (for instance, on the canadian website, for a totally different computer than my UK computer, i found a version of the flashcards support utility that works with mine.) But i don't think its possible to see what's on the restore disk without instaling it, i.e. wiping everything off your harddrive in the process.
    It really is extremely disappointing and frustrating. If anyone knows a way to communicate directly with toshiba about this problem without having to pay some sort of support fee, I would be very interested to hear about it. It seems noone from toshiba actually reads anything from these forum. It seems like a real wasted resource to me....
    Message was edited by: ADMIN

Maybe you are looking for

  • I just ran Software Update and now many applications crash on launch

    Hardware Overview:   Model Name:    MacBook Pro   Model Identifier:    MacBookPro5,3   Processor Name:    Intel Core 2 Duo   Processor Speed:    2.66 GHz   Number Of Processors:    1   Total Number Of Cores:    2   L2 Cache:    3 MB   Memory:    4 GB

  • Laserjet M1522nf MFP- scanner not working

    I bought this new Multifunction unit 2 weeks ago.  Since then I can't get it to scan.  I've updated the firmware and uninstalled and installed the full software from the website(as recommended by the call centre support).  I still get a note that sta

  • Domains and Logical Types in Data Modeler

    Been out of serious design work for a long time. Can someone provide a good pointer to descriptions on Domains and Logical Types and presented in the Data Modeling tool? For instance I am having trouble tracking the following distinctions: Domain Log

  • Changing default layer length?

    How do I change the default layer length, when inserting an image into a composition? (I always seem to insert images, and forget that the layer length (time) is very short, then wonder why I can't see it). It's a minor thing, but help with this so I

  • How do i show my bookmark toolbar during full screen mode?

    When entering full screen mode the bookmark toolbar disappears, then reappears when exiting full screen mode. I have tried to use the customize screen/menu and selecting the option for the bookmarks toolbar does nothing to show the toolbar during ful